Skip to main content
GET
/
api
/
v2
/
network
/
leads-by-goal-id
Create lead by goal ID (GET)
curl --request GET \
  --url https://{domain}/api/v2/network/leads-by-goal-id \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://{domain}/api/v2/network/leads-by-goal-id"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://{domain}/api/v2/network/leads-by-goal-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "result": {}
  }
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Resource not found.",
"success": false
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Query Parameters

goal_id
integer
required

Goal ID.

affiliate_id
integer
required

Affiliate ID.

email
string

Lead email address.

firstname
string

Lead first name.

lastname
string

Lead last name.

phone
string

Lead phone number.

Response

Lead creation result.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object